function Navigationtest() {

    var self = {};

    self.init = function () {
        initScanner(undefined);
    };

    return self;
}

var navigationtest = Navigationtest();




$(document).on("pageshow", "#page_navtest", function (e) {

    console.log('triggering moving to scanner');
    navigationtest.init();



    $("#backtoscanner").unbind().click(function (evt) {
        evt.preventDefault();
        evt.stopPropagation();
        alert('moving to text input page');
        //$.mobile.navigate("#page_textfocus_test", { role: "page" });
        $.mobile.changePage("#page_machineselect", { transition: "slideup", changeHash: true });
        //$(":mobile-pagecontainer").pagecontainer("change", "#page_barcode_cam", { role: "page", reverse: false, changeHash: false });
    });

});

